[ 
https://issues.apache.org/jira/browse/THRIFT-3207?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15713587#comment-15713587
 ] 

Jens Geyer commented on THRIFT-3207:
------------------------------------

You really mean only close? Nothing else?

> Enable build with OpenSSL 1.1.x
> -------------------------------
>
>                 Key: THRIFT-3207
>                 URL: https://issues.apache.org/jira/browse/THRIFT-3207
>             Project: Thrift
>          Issue Type: Improvement
>          Components: C++ - Library
>    Affects Versions: 0.9.2
>            Reporter: PaweĊ‚ Janicki
>            Priority: Minor
>              Labels: easyfix
>         Attachments: THRIFT-3207.patch
>
>
> As thrift requires OpenSSL v1.1.0 there are still some problems with 
> compiling latest official releases on Visual Studio 2013. We falled back to 
> other OpenSSL releases that source version can be compiled without problems.
> Unfortunately Thrift can not be build against OpenSSL pre 1.1.0 due to 
> missing TLSv1_1_method() and TLSv1_2_method().
> While OpenSSL in version 0.9.8 and 1.0.0 is supported till 
> [2015-12-31|https://www.openssl.org/about/releasestrat.html] and Open SSL in 
> version 1.0.1 and 1.0.2 is supported till 
> [2016-12-31|https://www.openssl.org/about/releasestrat.html] we found 
> reasonable to enable this releases to be used for Thrift builds.
> The proposed patch enables Thrift support of TLS 1.1 and 1.2 only when build 
> with OpenSSL 1.1.0 or newer.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Reply via email to